commit:     f98c14ccece43d8a550866533228abecdaa6220c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 23 20:42:36 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Nov 23 20:48:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f98c14cc

sys-libs/libfaketime: Bump to v0.9.7

Package-Manager: Portage-2.3.16, Repoman-2.3.6

 sys-libs/libfaketime/Manifest                 |  3 +-
 sys-libs/libfaketime/libfaketime-0.9.7.ebuild | 52 +++++++++++++++++++++++++++
 2 files changed, 54 insertions(+), 1 deletion(-)

diff --git a/sys-libs/libfaketime/Manifest b/sys-libs/libfaketime/Manifest
index bd010b43a42..1c293bb1a9c 100644
--- a/sys-libs/libfaketime/Manifest
+++ b/sys-libs/libfaketime/Manifest
@@ -1 +1,2 @@
-DIST libfaketime-0.9.6.tar.gz 51333 SHA256 
3a89972708e262ae3a548655a04f197b48e9c82ac2b61acaeb1c47b135a682b7 SHA512 
ab2e9c53f4ca2b9dcd2bbcd8de3ab9e27be57547ed9b52a17f07a6fe880fd3a283a6f10018736be2a6ba4e150f54e92161959ccb887be1f78ddfc96058729860
 WHIRLPOOL 
1a2dcc549286bb9d4e8a576ee8ea44b8508e6b40c581560099cf3351464470ef3b01e0ea8667e9d4973f5f8d35d3eeea68bd258f9ffc2fb0f424e128ba446a6d
+DIST libfaketime-0.9.6.tar.gz 51333 BLAKE2B 
b9aab3da744e250f43eca4f837322932c3260d35550171d34da851740a415bf3d2c3bfe02cdf37782058d8524008743838757ed8326384ecb36d0d9839cadd1a
 SHA512 
ab2e9c53f4ca2b9dcd2bbcd8de3ab9e27be57547ed9b52a17f07a6fe880fd3a283a6f10018736be2a6ba4e150f54e92161959ccb887be1f78ddfc96058729860
+DIST libfaketime-0.9.7.tar.gz 56277 BLAKE2B 
62e10c4b3c33c203cde023cbc4e114c2ee1ad87298b1840bb2f7ea3610fdfd81c12a60c1c00a44409ca322e96408427fcad32f202737b75d28c5d69b85b579d6
 SHA512 
593e14e96dc0a49f65e93d25b7aace6e78fd2b4251f692c14bd6c6a2ac6360d997573aeac9005388bc49276078075c23a39fdaee912c2469acb8014127625537

diff --git a/sys-libs/libfaketime/libfaketime-0.9.7.ebuild 
b/sys-libs/libfaketime/libfaketime-0.9.7.ebuild
new file mode 100644
index 00000000000..16245df161c
--- /dev/null
+++ b/sys-libs/libfaketime/libfaketime-0.9.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs multilib-minimal
+
+DESCRIPTION="Report faked system time to programs"
+HOMEPAGE="http://www.code-wizards.com/projects/libfaketime/ 
https://github.com/wolfcw/libfaketime";
+SRC_URI="https://github.com/wolfcw/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~sparc ~x86"
+
+src_prepare() {
+       sed -i 's/-Werror //' "${S}/src/Makefile" || die
+
+       # Bug #617624 (GCC-6 compatibility)
+       sed -i 's/-Wno-nonnull-compare //' "${S}/src/Makefile" || die
+
+       eapply_user
+
+       multilib_copy_sources
+}
+
+multilib_src_compile() {
+       local target=all
+
+       pushd src > /dev/null || die
+       multilib_is_native_abi || target="${PN}.so.1 ${PN}MT.so.1"
+       # ${target} is intentionally not quoted
+       emake CC="$(tc-getCC)" LIBDIRNAME="/$(get_libdir)" PREFIX=/usr ${target}
+       popd > /dev/null || die
+}
+
+multilib_src_test() {
+       multilib_is_native_abi && emake test
+}
+
+multilib_src_install() {
+       multilib_is_native_abi && dobin src/faketime
+       exeinto /usr/$(get_libdir)
+       doexe src/${PN}*.so.*
+       dosym ${PN}.so.1 /usr/$(get_libdir)/${PN}.so
+       dosym ${PN}MT.so.1 /usr/$(get_libdir)/${PN}MT.so
+}
+
+multilib_src_install_all() {
+       doman man/faketime.1
+       dodoc NEWS README TODO
+}

Reply via email to